PDA

View Full Version : Jet SP8



Googoohead
05-10-2004, 09:48 AM
Where can I get the Jet SP8 object for InstallShield X?

The Release Notes state that X comes with Jet 4.0 (V4.10) [This object now installs Jet 4.0 Service Pack 8].

When I go to use the Jet object, the right panel notes state that this will install Jet SP6. I can download the SP7 from the objects site but I need SP8.

Thanks.

David Thornley
05-10-2004, 11:05 AM
The developer working on this technology found that there bugs when launching the Jet SP8 Redistributable as a custom action from an MSI package that caused a setup to hang. We are waiting for an updated redist that does not cause this problem. I am unsure of why this is in the relase notes. I apologize for the misunderstanding that this has created.

You can get the JET SP 8 Redist from MSFT to confirm. You could also use that redist to create a Setup Prerequisite using the setup prerequisite editor. Setup prerequisites are not subject to many limitations of MSI because they are run before the MSI package even starts.

Googoohead
05-10-2004, 12:54 PM
Thanks for the reply! Do you have a projected timeframe for the SP8 to get corrected?

Also, does the Jet 4.0 SP7 work alright with the MDAC 2.8?

Thanks again.

David Thornley
05-10-2004, 03:15 PM
Unfortunately, I'm not sure how Jet SP7 will work with MDAC 2.8, I can only recommend that you check it out unless someone else on the community knows the answer to this.

We're kind of waiting for a new redistributable and everythign hinges on that. Keep in mind that this works when you launch it from outside of MSI so creating a setup prerequisite may be a suitable workarround for the time being.